#ifndef MH_H
#define MH_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

#ifndef MPARCONTAINER_H
#include "MParContainer.h"
#endif

class MH : public MParContainer
{
public:
     MH(const char *name=NULL, const char *title=NULL);

    virtual void Fill(const MParContainer *par) = 0;

    ClassDef(MH, 1) //A histogram base class for Mars histograms
};

#endif

